Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access
Class Entry

    ru.biosoft.access.DataElementSupport
      |
      +--ru.biosoft.access.Entry

public class Entry
extends DataElementSupport

DataElement that store his data in text-based format. Used by FileEntryCollection2.

Version: 1.0

Field Summary
`final static String` | `TEXT_FORMAT` Plain text format

Constructor Summary
`Entry(DataCollection pParent, String pName, String pData, String pFormat)` Construct data element.
`Entry(DataCollection pParent, String pName, String pData)` Construct data element with TEXT_FORMAT.
`Entry(DataCollection parent, String name, File pFile, long pOffset, long pSize)` Construct big data element with TEXT_FORMAT.

Method Summary
`String` | `getData()`
`final String` | `getFormat()` Returns format of stored text data.
`Reader` | `getReader()`
`int` | `getSize()`
`boolean` | `isStoredAsStream()`

Methods inherited from class ru.biosoft.access.DataElementSupport
`getName, getOrigin, registerConstructorWithBadEqual, toString`

Field Detail

### TEXT_FORMAT

    public final static String TEXT_FORMAT

  Plain text format

Constructor Detail

### Entry

    public Entry(DataCollection pParent, String pName, String pData, String pFormat)

  Construct data element.
  Parameters:
    parent - DataCollection which contains this data element.
    name - Name of this data element.
    data - Text data of this data element.
    format - Format of text data.
  See Also:
    EntryCollection

### Entry

    public Entry(DataCollection pParent, String pName, String pData)

  Construct data element with TEXT_FORMAT.
  Parameters:
    parent - DataCollection which contains this data element.
    name - Name of this data element.
    data - Text data of this data element.
  See Also:
    DataCollection

### Entry

    public Entry(DataCollection parent, String name, File pFile, long pOffset, long pSize)

  Construct big data element with TEXT_FORMAT. File f shouldnt be deleted until this object exists.
  Parameters:
    parent - DataCollection which contains this data element.
    name - Name of this data element.
    f - File contained data for this entry.
    o - Offset of entry's data in the file.
    size - Size of entry's data in the file.
  See Also:
    EntryCollection
  todo HIGH remove cast to int

Method Detail

### getData

    public String getData()

### getFormat

    public final String getFormat()

  Returns format of stored text data.
  Returns: Format of stored text data.
  See Also:
    TEXT_FORMAT

### getReader

    public Reader getReader()
                      throws java.lang.Exception

  todo high Document

### getSize

    public int getSize()

  todo Document (and may be this function not needed.)

### isStoredAsStream

    public boolean isStoredAsStream()

  todo HIGH Implement or remove

Association Links

to Class java.lang.String

  Plain text format

to Class java.lang.String

  Text data.

to Class java.lang.String

  Format of text data: text, html, xml.

to Class java.io.File

  todo doc

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM